#!/usr/bin/env perl



#####

#  FCKeditor - The text editor for Internet - http://www.fckeditor.net

#  Copyright (C) 2003-2010 Frederico Caldeira Knabben

#

#  == BEGIN LICENSE ==

#

#  Licensed under the terms of any of the following licenses at your

#  choice:

#

#   - GNU General Public License Version 2 or later (the "GPL")

#     http://www.gnu.org/licenses/gpl.html

#

#   - GNU Lesser General Public License Version 2.1 or later (the "LGPL")

#     http://www.gnu.org/licenses/lgpl.html

#

#   - Mozilla Public License Version 1.1 or later (the "MPL")

#     http://www.mozilla.org/MPL/MPL-1.1.html

#

#  == END LICENSE ==

#

#  This page lists the data posted by a form.

#####



## START: Hack for Windows (Not important to understand the editor code... Perl specific).

if(Windows_check()) {

	chdir(GetScriptPath($0));

}



sub Windows_check

{

	# IIS,PWS(NT/95)

	$www_server_os = $^O;

	# Win98 & NT(SP4)

	if($www_server_os eq "") { $www_server_os= $ENV{'OS'}; }

	# AnHTTPd/Omni/IIS

	if($ENV{'SERVER_SOFTWARE'} =~ /AnWeb|Omni|IIS\//i) { $www_server_os= 'win'; }

	# Win Apache

	if($ENV{'WINDIR'} ne "") { $www_server_os= 'win'; }

	if($www_server_os=~ /win/i) { return(1); }

	return(0);

}



sub GetScriptPath {

	local($path) = @_;

	if($path =~ /[\:\/\\]/) { $path =~ s/(.*?)[\/\\][^\/\\]+$/$1/; } else { $path = '.'; }

	$path;

}

## END: Hack for IIS



require '../../fckeditor.pl';



	if($ENV{'REQUEST_METHOD'} eq "POST") {

		read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

	} else {

		$buffer = $ENV{'QUERY_STRING'};

	}

	@pairs = split(/&/,$buffer);

	foreach $pair (@pairs) {

		($name,$value) = split(/=/,$pair);

		$value =~ tr/+/ /;

		$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

		$value =~ s/\t//g;

		$value =~ s/\r\n/\n/g;

		$FORM{$name} .= "\0"			if(defined($FORM{$name}));

		$FORM{$name} .= $value;

	}



	print "Content-type: text/html\n\n";

	print <<"_HTML_TAG_";

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

	<head>

		<title>FCKeditor - Samples - Posted Data</title>

		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

		<meta name="robots" content="noindex, nofollow">

		<link href="../sample.css" rel="stylesheet" type="text/css" >

	</head>

	<body>

		<h1>FCKeditor - Samples - Posted Data</h1>

		This page lists all data posted by the form.

		<hr>

		<table border="1" cellspacing="0" id="outputSample">

			<colgroup><col width="80"><col></colgroup>

			<thead>

				<tr>

					<th>Field Name</th>

					<th>Value</th>

				</tr>

			</thead>

_HTML_TAG_



	foreach $key (keys %FORM) {

		$postedValue = &specialchar_cnv($FORM{$key});

		$key = &specialchar_cnv($key);

		print <<"_HTML_TAG_";

			<tr>

				<th>$key</th>

				<td><pre>$postedValue</pre></td>

			</tr>

_HTML_TAG_

	}

		print <<"_HTML_TAG_";

		</table>

	</body>

</html>

_HTML_TAG_

