<?php

/*

 * FCKeditor - The text editor for Internet - http://www.fckeditor.net

 * Copyright (C) 2003-2010 Frederico Caldeira Knabben

 *

 * == BEGIN LICENSE ==

 *

 * Licensed under the terms of any of the following licenses at your

 * choice:

 *

 *  - GNU General Public License Version 2 or later (the "GPL")

 *    http://www.gnu.org/licenses/gpl.html

 *

 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")

 *    http://www.gnu.org/licenses/lgpl.html

 *

 *  - Mozilla Public License Version 1.1 or later (the "MPL")

 *    http://www.mozilla.org/MPL/MPL-1.1.html

 *

 * == END LICENSE ==

 *

 * Sample page.

 */



include("../../fckeditor.php") ;

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

	<head>

		<title>FCKeditor - Sample</title>

		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

		<meta name="robots" content="noindex, nofollow">

		<link href="../sample.css" rel="stylesheet" type="text/css" />

		<script type="text/javascript">



function FCKeditor_OnComplete( editorInstance )

{

	var oCombo = document.getElementById( 'cmbSkins' ) ;



	// Get the active skin.

	var sSkin = editorInstance.Config['SkinPath'] ;

	sSkin = sSkin.match( /[^\/]+(?=\/$)/g ) ;



	oCombo.value = sSkin ;

	oCombo.style.visibility = '' ;

}



function ChangeSkin( skinName )

{

	window.location.href = window.location.pathname + "?Skin=" + skinName ;

}



		</script>

	</head>

	<body>

		<h1>FCKeditor - PHP - Sample 4</h1>

		This sample shows how to change the editor skin.

		<hr>

		<table cellpadding="0" cellspacing="0" border="0">

			<tr>

				<td>

					Select the skin to load:&nbsp;

				</td>

				<td>

					<select id="cmbSkins" onchange="ChangeSkin(this.value);" style="VISIBILITY: hidden">

						<option value="default" selected>Default</option>

						<option value="office2003">Office 2003</option>

						<option value="silver">Silver</option>

					</select>

				</td>

			</tr>

		</table>

		<br>

		<form action="sampleposteddata.php" method="post" target="_blank">

<?php

// Automatically calculates the editor base path based on the _samples directory.

// This is usefull only for these samples. A real application should use something like this:

// $oFCKeditor->BasePath = '/fckeditor/' ;	// '/fckeditor/' is the default value.

$sBasePath = $_SERVER['PHP_SELF'] ;

$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "_samples" ) ) ;



$oFCKeditor = new FCKeditor('FCKeditor1') ;

$oFCKeditor->BasePath = $sBasePath ;



if ( isset($_GET['Skin']) )

	$oFCKeditor->Config['SkinPath'] = $sBasePath . 'editor/skins/' . preg_replace("/[^a-z0-9]/i", "", $_GET['Skin']) . '/' ;



$oFCKeditor->Value = '<p>This is some <strong>sample text</strong>. You are using <a href="http://www.fckeditor.net/">FCKeditor</a>.</p>' ;

$oFCKeditor->Create() ;

?>

			<br>

			<input type="submit" value="Submit">

		</form>

	</body>

</html>

