<?php
/** ensure this file is being included by a parent file */
defined( '_VALID_' ) or die( 'Direct Access to this location is not allowed.' );

$sql_create="CREATE TABLE `opportunity_village` (
  `id` int(11) NOT NULL auto_increment,
  `vill_code` varchar(8) NOT NULL,
  `tambon_code` varchar(6) NOT NULL,
  `vill_name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `vill_code` (`vill_code`),
  KEY `tambon_code` (`tambon_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_tambon` (
  `id` int(11) NOT NULL auto_increment,
  `tambon_code` varchar(6) NOT NULL,
  `amp_code` varchar(4) NOT NULL,
  `tambon_name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `tambon_code` (`tambon_code`),
  KEY `amp_code` (`amp_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_search2561` (
  `id` int(11) NOT NULL auto_increment,
  `school_code` varchar(10) NOT NULL,
  `person_id` varchar(13) NOT NULL,
  `status` tinyint(4) NOT NULL default '0',
  `study_school` varchar(150) NOT NULL,
  `be_under` varchar(1) NOT NULL,
  `in_out_area` tinyint(4) NOT NULL default '0',
  `study_class` varchar(2) NOT NULL,
  `school_location` varchar(250) NOT NULL,
  `cause` tinyint(4) NOT NULL default '0',
  `rec_date` date NOT NULL,
  `officer` varchar(13) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `person_id` (`person_id`),
  KEY `person_id_2` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_search` (
  `id` int(11) NOT NULL auto_increment,
  `school_code` varchar(10) NOT NULL,
  `person_id` varchar(13) NOT NULL,
  `status` tinyint(4) NOT NULL default '0',
  `study_school` varchar(150) NOT NULL,
  `study_class` varchar(2) NOT NULL,
  `rec_date` date NOT NULL,
  `officer` varchar(13) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `person_id_2` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_sch_area` (
  `id` int(11) NOT NULL auto_increment,
  `area_type` tinyint(4) NOT NULL,
  `school_code` varchar(8) NOT NULL,
  `village` varchar(8) NOT NULL,
  `tambon` varchar(6) NOT NULL,
  `amphoe` varchar(4) NOT NULL,
  `province` varchar(2) NOT NULL,
  `rec_date` date NOT NULL,
  `officer` varchar(13) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `village` (`village`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_province` (
  `id` int(11) NOT NULL auto_increment,
  `prov_code` varchar(2) NOT NULL,
  `prov_name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `prov_code` (`prov_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_population` (
  `id` int(11) NOT NULL auto_increment,
  `person_id` varchar(13) NOT NULL,
  `prename` varchar(3) NOT NULL,
  `name` varchar(50) NOT NULL,
  `surname` varchar(50) NOT NULL,
  `sex` tinyint(4) NOT NULL,
  `birthday` date NOT NULL,
  `ban_no` varchar(30) NOT NULL,
  `moo` varchar(2) NOT NULL,
  `moo_code` varchar(8) NOT NULL,
  `tambon` varchar(6) NOT NULL,
  `amphoe` varchar(4) NOT NULL,
  `province` varchar(2) NOT NULL,
  `rec_date` datetime NOT NULL,
  `officer` varchar(13) NOT NULL,
  `check_pop` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `person_id` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_permission` (
  `id` int(11) NOT NULL auto_increment,
  `person_id` varchar(13) NOT NULL,
  `school_code` varchar(11) default NULL,
  `p1` tinyint(4) default NULL,
  `p2` tinyint(4) default NULL,
  `officer` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_khet_area` (
  `id` int(11) NOT NULL auto_increment,
  `amphoe` varchar(4) NOT NULL,
  `province` varchar(2) NOT NULL,
  `rec_date` date NOT NULL,
  `officer` varchar(13) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `opportunity_amphoe` (
  `id` int(11) NOT NULL auto_increment,
  `amp_code` varchar(4) NOT NULL,
  `prov_code` varchar(2) NOT NULL,
  `amp_name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `amp_code` (`amp_code`),
  KEY `prov_code` (`prov_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 " ;
$query = mysqli_query($connect,$sql_create);


?>