<?php
require ( "language/lang-thai.php");
include ("include/popup.js");
require_once "modules/car/time_inc.php";	
$d_today = date("d");
$m_today = date("m");
$y_today = date("Y");
$Ymd_today = date("Y")."-".$m_today."-".$d_today;	//ใช้ select book_date
$mk_today = mktime(0, 0, 0, $m_today, $d_today, $y_today);	//ค่าคำนวณวัน
switch ( $m_today ) {
	case "01" : $mthai_today = "มกราคม"; break;  
	case "02" : $mthai_today = "กุมภาพันธ์"; break;  
	case "03" : $mthai_today = "มีนาคม"; break;  
	case "04" : $mthai_today = "เมษายน"; break;  
	case "05" : $mthai_today = "พฤษภาคม"; break;  
	case "06" : $mthai_today = "มิถุนายน"; break;  
	case "07" : $mthai_today = "กรกฎาคม"; break;  
	case "08" : $mthai_today = "สิงหาคม"; break;  
	case "09" : $mthai_today = "กันยายน"; break;  
	case "10" : $mthai_today = "ตุลาคม"; break;  
	case "11" : $mthai_today = "พฤศจิกายน"; break;  
	case "12" : $mthai_today = "ธันวาคม"; break;  }
$today_thai = $d_today." ".$mthai_today." พ.ศ.".($y_today+543) ;

$mk_tomorrow = $mk_today+(60*60*24);		//ค่าคำนวณวันพรุ่งนี้
$Ymd_tomorrow =date("Y-m-d",$mk_tomorrow);	//ใช้ select book_date
$d_tomorrow = date("d",$mk_tomorrow);
$m_tomorrow = date("m",$mk_tomorrow);
$y_tomorrow = date("Y",$mk_tomorrow);
switch ( $m_tomorrow ) {
	case "01" : $mthai_tomorrow = "มกราคม"; break;  
	case "02" : $mthai_tomorrow = "กุมภาพันธ์"; break;  
	case "03" : $mthai_tomorrow = "มีนาคม"; break;  
	case "04" : $mthai_tomorrow = "เมษายน"; break;  
	case "05" : $mthai_tomorrow = "พฤษภาคม"; break;  
	case "06" : $mthai_tomorrow = "มิถุนายน"; break;  
	case "07" : $mthai_tomorrow = "กรกฎาคม"; break;  
	case "08" : $mthai_tomorrow = "สิงหาคม"; break;  
	case "09" : $mthai_tomorrow = "กันยายน"; break;  
	case "10" : $mthai_tomorrow = "ตุลาคม"; break;  
	case "11" : $mthai_tomorrow = "พฤศจิกายน"; break;  
	case "12" : $mthai_tomorrow = "ธันวาคม"; break;  }
$tomorrow_thai = $d_tomorrow." ".$mthai_tomorrow." พ.ศ.".($y_tomorrow+543) ;
$sql_name = "select * from person_main ";
$dbquery_name = mysqli_query($connect,$sql_name);
while($result_name = mysqli_fetch_array($dbquery_name)){;
	$person_id = $result_name['person_id'];
	$prename=$result_name['prename'];
	$name= $result_name['name'];
	$surname = $result_name['surname'];
	$full_name_ar[$person_id]="$prename$name&nbsp;&nbsp;$surname";
}

//วันนี้
echo "<table width='100%' class='myTableBlue'><th>ไปราชการ - ลา วันนี้</th>";
	$sql = "select permission_main.id, permission_main.person_id, permission_main.subject, permission_main.place, permission_main.vehicle, permission_main.ref_id, permission_main.document, permission_main.comment, permission_main.grant_x, permission_main.report,permission_main.rec_date,permission_date.date,permission_main.grant_comment from permission_date left join permission_main on permission_date.ref_id=permission_main.ref_id where permission_date.date='$Ymd_today' order by permission_main.id ";
	$dbquery = mysqli_query($connect,$sql);
	$num_rows = mysqli_num_rows($dbquery);
	if ($num_rows == '0'){
		echo "<tr><td>- ว่าง -</td></tr>";
	}else{
		While ($result = mysqli_fetch_array($dbquery)){
			$id = $result['id'];
			$person_id = $result['person_id'];		
			$subject = $result['subject'];
			$place = $result['place'];
			$vehicle = $result['vehicle'];
			$ref_id = $result['ref_id'];
			$file = $result['document'];
			$comment = $result['comment'];
			$grant = $result['grant_x'];
			$report = $result['report'];
			echo "<tr><td>$car<br>$full_name_ar[$person_id]<br>".thai_date_3($car_start)." ถึง ".thai_date_3($car_finish)."</td></tr>";
		}
	}
echo "</table>";

//วันพรุ่งนี้
echo "<table width='100%' class='myTableGray'><th>วันพรุ่งนี้</th>";
	$sql = "select permission_main.id, permission_main.person_id, permission_main.subject, permission_main.place, permission_main.vehicle, permission_main.ref_id, permission_main.document, permission_main.comment, permission_main.grant_x, permission_main.report,permission_main.rec_date,permission_date.date,permission_main.grant_comment from permission_date left join permission_main on permission_date.ref_id=permission_main.ref_id where permission_date.date='$Ymd_tomorrow' order by permission_main.id ";
	$dbquery = mysqli_query($connect,$sql);
	$num_rows = mysqli_num_rows($dbquery);
	if ($num_rows == '0'){
		echo "<tr><td>- ว่าง -</td></tr>";
	}else{
		While ($result = mysqli_fetch_array($dbquery)){
			$id = $result['id'];
			$person_id = $result['person_id'];
			$car_start = $result['car_start'];
			$car_finish = $result['car_finish'];
			$rec_date = $result['rec_date'];
			$officer_sign = $result['officer_sign'];		
			$group_sign = $result['group_sign'];	
			$grant = $result['commander_grant'];
			$commander_sign = $result['commander_sign'];
			$car = $result['car_number']." (".$result['name'].")";
			echo "<tr><td>$car<br>$full_name_ar[$person_id]<br>".thai_date_3($car_start)." ถึง ".thai_date_3($car_finish)."</td></tr>";
		}
	}
echo "</table>";
?>