﻿/*

 * FCKeditor - The text editor for Internet - http://www.fckeditor.net

 * Copyright (C) 2003-2010 Frederico Caldeira Knabben

 *

 * == BEGIN LICENSE ==

 *

 * Licensed under the terms of any of the following licenses at your

 * choice:

 *

 *  - GNU General Public License Version 2 or later (the "GPL")

 *    http://www.gnu.org/licenses/gpl.html

 *

 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")

 *    http://www.gnu.org/licenses/lgpl.html

 *

 *  - Mozilla Public License Version 1.1 or later (the "MPL")

 *    http://www.mozilla.org/MPL/MPL-1.1.html

 *

 * == END LICENSE ==

 *

 * Swedish language file.

 */



var FCKLang =

{

// Language direction : "ltr" (left to right) or "rtl" (right to left).

Dir					: "ltr",



ToolbarCollapse		: "Dölj verktygsfält",

ToolbarExpand		: "Visa verktygsfält",



// Toolbar Items and Context Menu

Save				: "Spara",

NewPage				: "Ny sida",

Preview				: "Förhandsgranska",

Cut					: "Klipp ut",

Copy				: "Kopiera",

Paste				: "Klistra in",

PasteText			: "Klistra in som text",

PasteWord			: "Klistra in från Word",

Print				: "Skriv ut",

SelectAll			: "Markera allt",

RemoveFormat		: "Radera formatering",

InsertLinkLbl		: "Länk",

InsertLink			: "Infoga/Redigera länk",

RemoveLink			: "Radera länk",

VisitLink			: "Öppna länk",

Anchor				: "Infoga/Redigera ankarlänk",

AnchorDelete		: "Radera ankarlänk",

InsertImageLbl		: "Bild",

InsertImage			: "Infoga/Redigera bild",

InsertFlashLbl		: "Flash",

InsertFlash			: "Infoga/Redigera Flash",

InsertTableLbl		: "Tabell",

InsertTable			: "Infoga/Redigera tabell",

InsertLineLbl		: "Linje",

InsertLine			: "Infoga horisontal linje",

InsertSpecialCharLbl: "Utökade tecken",

InsertSpecialChar	: "Klistra in utökat tecken",

InsertSmileyLbl		: "Smiley",

InsertSmiley		: "Infoga Smiley",

About				: "Om FCKeditor",

Bold				: "Fet",

Italic				: "Kursiv",

Underline			: "Understruken",

StrikeThrough		: "Genomstruken",

Subscript			: "Nedsänkta tecken",

Superscript			: "Upphöjda tecken",

LeftJustify			: "Vänsterjustera",

CenterJustify		: "Centrera",

RightJustify		: "Högerjustera",

BlockJustify		: "Justera till marginaler",

DecreaseIndent		: "Minska indrag",

IncreaseIndent		: "Öka indrag",

Blockquote			: "Blockquote",	//MISSING

CreateDiv			: "Skapa Div behållare",

EditDiv				: "Redigera Div behållare",

DeleteDiv			: "Radera Div behållare",

Undo				: "Ångra",

Redo				: "Gör om",

NumberedListLbl		: "Numrerad lista",

NumberedList		: "Infoga/Radera numrerad lista",

BulletedListLbl		: "Punktlista",

BulletedList		: "Infoga/Radera punktlista",

ShowTableBorders	: "Visa tabellkant",

ShowDetails			: "Visa radbrytningar",

Style				: "Anpassad stil",

FontFormat			: "Teckenformat",

Font				: "Typsnitt",

FontSize			: "Storlek",

TextColor			: "Textfärg",

BGColor				: "Bakgrundsfärg",

Source				: "Källa",

Find				: "Sök",

Replace				: "Ersätt",

SpellCheck			: "Stavningskontroll",

UniversalKeyboard	: "Universellt tangentbord",

PageBreakLbl		: "Sidbrytning",

PageBreak			: "Infoga sidbrytning",



Form			: "Formulär",

Checkbox		: "Kryssruta",

RadioButton		: "Alternativknapp",

TextField		: "Textfält",

Textarea		: "Textruta",

HiddenField		: "Dolt fält",

Button			: "Knapp",

SelectionField	: "Flervalslista",

ImageButton		: "Bildknapp",



FitWindow		: "Anpassa till fönstrets storlek",

ShowBlocks		: "Visa block",



// Context Menu

EditLink			: "Redigera länk",

CellCM				: "Cell",

RowCM				: "Rad",

ColumnCM			: "Kolumn",

InsertRowAfter		: "Lägg till Rad Efter",

InsertRowBefore		: "Lägg till Rad Före",

DeleteRows			: "Radera rad",

InsertColumnAfter	: "Lägg till Kolumn Efter",

InsertColumnBefore	: "Lägg till Kolumn Före",

DeleteColumns		: "Radera kolumn",

InsertCellAfter		: "Lägg till Cell Efter",

InsertCellBefore	: "Lägg till Cell Före",

DeleteCells			: "Radera celler",

MergeCells			: "Sammanfoga celler",

MergeRight			: "Sammanfoga Höger",

MergeDown			: "Sammanfoga Ner",

HorizontalSplitCell	: "Dela Cell Horisontellt",

VerticalSplitCell	: "Dela Cell Vertikalt",

TableDelete			: "Radera tabell",

CellProperties		: "Cellegenskaper",

TableProperties		: "Tabellegenskaper",

ImageProperties		: "Bildegenskaper",

FlashProperties		: "Flashegenskaper",



AnchorProp			: "Egenskaper för ankarlänk",

ButtonProp			: "Egenskaper för knapp",

CheckboxProp		: "Egenskaper för kryssruta",

HiddenFieldProp		: "Egenskaper för dolt fält",

RadioButtonProp		: "Egenskaper för alternativknapp",

ImageButtonProp		: "Egenskaper för bildknapp",

TextFieldProp		: "Egenskaper för textfält",

SelectionFieldProp	: "Egenskaper för flervalslista",

TextareaProp		: "Egenskaper för textruta",

FormProp			: "Egenskaper för formulär",



FontFormats			: "Normal;Formaterad;Adress;Rubrik 1;Rubrik 2;Rubrik 3;Rubrik 4;Rubrik 5;Rubrik 6;Normal (DIV)",



// Alerts and Messages

ProcessingXHTML		: "Bearbetar XHTML. Var god vänta...",

Done				: "Klar",

PasteWordConfirm	: "Texten du vill klistra in verkar vara kopierad från Word. Vill du rensa innan du klistar in?",

NotCompatiblePaste	: "Denna åtgärd är inte tillgängligt för Internet Explorer version 5.5 eller högre. Vill du klistra in utan att rensa?",

UnknownToolbarItem	: "Okänt verktygsfält \"%1\"",

UnknownCommand		: "Okänt kommando \"%1\"",

NotImplemented		: "Kommandot finns ej",

UnknownToolbarSet	: "Verktygsfält \"%1\" finns ej",

NoActiveX			: "Din webläsares säkerhetsinställningar kan begränsa funktionaliteten. Du bör aktivera \"Kör ActiveX kontroller och plug-ins\". Fel och avsaknad av funktioner kan annars uppstå.",

BrowseServerBlocked : "Kunde Ej öppna resursfönstret. Var god och avaktivera alla popup-blockerare.",

DialogBlocked		: "Kunde Ej öppna dialogfönstret. Var god och avaktivera alla popup-blockerare.",

VisitLinkBlocked	: "Kunde Ej öppna nytt fönster. Var god och avaktivera alla popup-blockerare.",



// Dialogs

DlgBtnOK			: "OK",

DlgBtnCancel		: "Avbryt",

DlgBtnClose			: "Stäng",

DlgBtnBrowseServer	: "Bläddra på server",

DlgAdvancedTag		: "Avancerad",

DlgOpOther			: "Övrigt",

DlgInfoTab			: "Information",

DlgAlertUrl			: "Var god och ange en URL",



// General Dialogs Labels

DlgGenNotSet		: "<ej angivet>",

DlgGenId			: "Id",

DlgGenLangDir		: "Språkriktning",

DlgGenLangDirLtr	: "Vänster till Höger (VTH)",

DlgGenLangDirRtl	: "Höger till Vänster (HTV)",

DlgGenLangCode		: "Språkkod",

DlgGenAccessKey		: "Behörighetsnyckel",

DlgGenName			: "Namn",

DlgGenTabIndex		: "Tabindex",

DlgGenLongDescr		: "URL-beskrivning",

DlgGenClass			: "Stylesheet class",

DlgGenTitle			: "Titel",

DlgGenContType		: "Innehållstyp",

DlgGenLinkCharset	: "Teckenuppställning",

DlgGenStyle			: "Stil",



// Image Dialog

DlgImgTitle			: "Bildegenskaper",

DlgImgInfoTab		: "Bildinformation",

DlgImgBtnUpload		: "Skicka till server",

DlgImgURL			: "URL",

DlgImgUpload		: "Ladda upp",

DlgImgAlt			: "Alternativ text",

DlgImgWidth			: "Bredd",

DlgImgHeight		: "Höjd",

DlgImgLockRatio		: "Lås höjd/bredd förhållanden",

DlgBtnResetSize		: "Återställ storlek",

DlgImgBorder		: "Kant",

DlgImgHSpace		: "Horis. marginal",

DlgImgVSpace		: "Vert. marginal",

DlgImgAlign			: "Justering",

DlgImgAlignLeft		: "Vänster",

DlgImgAlignAbsBottom: "Absolut nederkant",

DlgImgAlignAbsMiddle: "Absolut centrering",

DlgImgAlignBaseline	: "Baslinje",

DlgImgAlignBottom	: "Nederkant",

DlgImgAlignMiddle	: "Mitten",

DlgImgAlignRight	: "Höger",

DlgImgAlignTextTop	: "Text överkant",

DlgImgAlignTop		: "Överkant",

DlgImgPreview		: "Förhandsgranska",

DlgImgAlertUrl		: "Var god och ange bildens URL",

DlgImgLinkTab		: "Länk",



// Flash Dialog

DlgFlashTitle		: "Flashegenskaper",

DlgFlashChkPlay		: "Automatisk uppspelning",

DlgFlashChkLoop		: "Upprepa/Loopa",

DlgFlashChkMenu		: "Aktivera Flashmeny",

DlgFlashScale		: "Skala",

DlgFlashScaleAll	: "Visa allt",

DlgFlashScaleNoBorder	: "Ingen ram",

DlgFlashScaleFit	: "Exakt passning",



// Link Dialog

DlgLnkWindowTitle	: "Länk",

DlgLnkInfoTab		: "Länkinformation",

DlgLnkTargetTab		: "Mål",



DlgLnkType			: "Länktyp",

DlgLnkTypeURL		: "URL",

DlgLnkTypeAnchor	: "Ankare i sidan",

DlgLnkTypeEMail		: "E-post",

DlgLnkProto			: "Protokoll",

DlgLnkProtoOther	: "<övrigt>",

DlgLnkURL			: "URL",

DlgLnkAnchorSel		: "Välj ett ankare",

DlgLnkAnchorByName	: "efter ankarnamn",

DlgLnkAnchorById	: "efter objektid",

DlgLnkNoAnchors		: "(Inga ankare kunde hittas)",

DlgLnkEMail			: "E-postadress",

DlgLnkEMailSubject	: "Ämne",

DlgLnkEMailBody		: "Innehåll",

DlgLnkUpload		: "Ladda upp",

DlgLnkBtnUpload		: "Skicka till servern",



DlgLnkTarget		: "Mål",

DlgLnkTargetFrame	: "<ram>",

DlgLnkTargetPopup	: "<popup-fönster>",

DlgLnkTargetBlank	: "Nytt fönster (_blank)",

DlgLnkTargetParent	: "Föregående Window (_parent)",

DlgLnkTargetSelf	: "Detta fönstret (_self)",

DlgLnkTargetTop		: "Översta fönstret (_top)",

DlgLnkTargetFrameName	: "Målets ramnamn",

DlgLnkPopWinName	: "Popup-fönstrets namn",

DlgLnkPopWinFeat	: "Popup-fönstrets egenskaper",

DlgLnkPopResize		: "Kan ändra storlek",

DlgLnkPopLocation	: "Adressfält",

DlgLnkPopMenu		: "Menyfält",

DlgLnkPopScroll		: "Scrolllista",

DlgLnkPopStatus		: "Statusfält",

DlgLnkPopToolbar	: "Verktygsfält",

DlgLnkPopFullScrn	: "Helskärm (endast IE)",

DlgLnkPopDependent	: "Beroende (endest Netscape)",

DlgLnkPopWidth		: "Bredd",

DlgLnkPopHeight		: "Höjd",

DlgLnkPopLeft		: "Position från vänster",

DlgLnkPopTop		: "Position från sidans topp",



DlnLnkMsgNoUrl		: "Var god ange länkens URL",

DlnLnkMsgNoEMail	: "Var god ange E-postadress",

DlnLnkMsgNoAnchor	: "Var god ange ett ankare",

DlnLnkMsgInvPopName	: "Popup-rutans namn måste börja med en alfabetisk bokstav och får inte innehålla mellanslag",



// Color Dialog

DlgColorTitle		: "Välj färg",

DlgColorBtnClear	: "Rensa",

DlgColorHighlight	: "Markera",

DlgColorSelected	: "Vald",



// Smiley Dialog

DlgSmileyTitle		: "Infoga smiley",



// Special Character Dialog

DlgSpecialCharTitle	: "Välj utökat tecken",



// Table Dialog

DlgTableTitle		: "Tabellegenskaper",

DlgTableRows		: "Rader",

DlgTableColumns		: "Kolumner",

DlgTableBorder		: "Kantstorlek",

DlgTableAlign		: "Justering",

DlgTableAlignNotSet	: "<ej angivet>",

DlgTableAlignLeft	: "Vänster",

DlgTableAlignCenter	: "Centrerad",

DlgTableAlignRight	: "Höger",

DlgTableWidth		: "Bredd",

DlgTableWidthPx		: "pixlar",

DlgTableWidthPc		: "procent",

DlgTableHeight		: "Höjd",

DlgTableCellSpace	: "Cellavstånd",

DlgTableCellPad		: "Cellutfyllnad",

DlgTableCaption		: "Titel",

DlgTableSummary		: "Sammanfattning",

DlgTableHeaders		: "Rubrikrad",

DlgTableHeadersNone		: "Ingen",

DlgTableHeadersColumn	: "Första kolumnen",

DlgTableHeadersRow		: "Första raden",

DlgTableHeadersBoth		: "Båda",



// Table Cell Dialog

DlgCellTitle		: "Cellegenskaper",

DlgCellWidth		: "Bredd",

DlgCellWidthPx		: "pixlar",

DlgCellWidthPc		: "procent",

DlgCellHeight		: "Höjd",

DlgCellWordWrap		: "Automatisk radbrytning",

DlgCellWordWrapNotSet	: "<Ej angivet>",

DlgCellWordWrapYes	: "Ja",

DlgCellWordWrapNo	: "Nej",

DlgCellHorAlign		: "Horisontal justering",

DlgCellHorAlignNotSet	: "<Ej angivet>",

DlgCellHorAlignLeft	: "Vänster",

DlgCellHorAlignCenter	: "Centrerad",

DlgCellHorAlignRight: "Höger",

DlgCellVerAlign		: "Vertikal justering",

DlgCellVerAlignNotSet	: "<Ej angivet>",

DlgCellVerAlignTop	: "Topp",

DlgCellVerAlignMiddle	: "Mitten",

DlgCellVerAlignBottom	: "Nederkant",

DlgCellVerAlignBaseline	: "Underst",

DlgCellType		: "Cell Typ",

DlgCellTypeData		: "Data",

DlgCellTypeHeader	: "Titel",

DlgCellRowSpan		: "Radomfång",

DlgCellCollSpan		: "Kolumnomfång",

DlgCellBackColor	: "Bakgrundsfärg",

DlgCellBorderColor	: "Kantfärg",

DlgCellBtnSelect	: "Välj...",



// Find and Replace Dialog

DlgFindAndReplaceTitle	: "Sök och ersätt",



// Find Dialog

DlgFindTitle		: "Sök",

DlgFindFindBtn		: "Sök",

DlgFindNotFoundMsg	: "Angiven text kunde ej hittas.",



// Replace Dialog

DlgReplaceTitle			: "Ersätt",

DlgReplaceFindLbl		: "Sök efter:",

DlgReplaceReplaceLbl	: "Ersätt med:",

DlgReplaceCaseChk		: "Skiftläge",

DlgReplaceReplaceBtn	: "Ersätt",

DlgReplaceReplAllBtn	: "Ersätt alla",

DlgReplaceWordChk		: "Inkludera hela ord",



// Paste Operations / Dialog

PasteErrorCut	: "Säkerhetsinställningar i Er webläsare tillåter inte åtgården Klipp ut. Använd (Ctrl+X) istället.",

PasteErrorCopy	: "Säkerhetsinställningar i Er webläsare tillåter inte åtgården Kopiera. Använd (Ctrl+C) istället",



PasteAsText		: "Klistra in som vanlig text",

PasteFromWord	: "Klistra in från Word",



DlgPasteMsg2	: "Var god och klistra in Er text i rutan nedan genom att använda (<STRONG>Ctrl+V</STRONG>) klicka sen på <STRONG>OK</STRONG>.",

DlgPasteSec		: "På grund av din webläsares säkerhetsinställningar kan verktyget inte få åtkomst till urklippsdatan. Var god och använd detta fönster istället.",

DlgPasteIgnoreFont		: "Ignorera typsnittsdefinitioner",

DlgPasteRemoveStyles	: "Radera Stildefinitioner",



// Color Picker

ColorAutomatic	: "Automatisk",

ColorMoreColors	: "Fler färger...",



// Document Properties

DocProps		: "Dokumentegenskaper",



// Anchor Dialog

DlgAnchorTitle		: "Ankaregenskaper",

DlgAnchorName		: "Ankarnamn",

DlgAnchorErrorName	: "Var god ange ett ankarnamn",



// Speller Pages Dialog

DlgSpellNotInDic		: "Saknas i ordlistan",

DlgSpellChangeTo		: "Ändra till",

DlgSpellBtnIgnore		: "Ignorera",

DlgSpellBtnIgnoreAll	: "Ignorera alla",

DlgSpellBtnReplace		: "Ersätt",

DlgSpellBtnReplaceAll	: "Ersätt alla",

DlgSpellBtnUndo			: "Ångra",

DlgSpellNoSuggestions	: "- Förslag saknas -",

DlgSpellProgress		: "Stavningskontroll pågår...",

DlgSpellNoMispell		: "Stavningskontroll slutförd: Inga stavfel påträffades.",

DlgSpellNoChanges		: "Stavningskontroll slutförd: Inga ord rättades.",

DlgSpellOneChange		: "Stavningskontroll slutförd: Ett ord rättades.",

DlgSpellManyChanges		: "Stavningskontroll slutförd: %1 ord rättades.",



IeSpellDownload			: "Stavningskontrollen är ej installerad. Vill du göra det nu?",



// Button Dialog

DlgButtonText		: "Text (Värde)",

DlgButtonType		: "Typ",

DlgButtonTypeBtn	: "Knapp",

DlgButtonTypeSbm	: "Skicka",

DlgButtonTypeRst	: "Återställ",



// Checkbox and Radio Button Dialogs

DlgCheckboxName		: "Namn",

DlgCheckboxValue	: "Värde",

DlgCheckboxSelected	: "Vald",



// Form Dialog

DlgFormName		: "Namn",

DlgFormAction	: "Funktion",

DlgFormMethod	: "Metod",



// Select Field Dialog

DlgSelectName		: "Namn",

DlgSelectValue		: "Värde",

DlgSelectSize		: "Storlek",

DlgSelectLines		: "Linjer",

DlgSelectChkMulti	: "Tillåt flerval",

DlgSelectOpAvail	: "Befintliga val",

DlgSelectOpText		: "Text",

DlgSelectOpValue	: "Värde",

DlgSelectBtnAdd		: "Lägg till",

DlgSelectBtnModify	: "Redigera",

DlgSelectBtnUp		: "Upp",

DlgSelectBtnDown	: "Ner",

DlgSelectBtnSetValue : "Markera som valt värde",

DlgSelectBtnDelete	: "Radera",



// Textarea Dialog

DlgTextareaName	: "Namn",

DlgTextareaCols	: "Kolumner",

DlgTextareaRows	: "Rader",



// Text Field Dialog

DlgTextName			: "Namn",

DlgTextValue		: "Värde",

DlgTextCharWidth	: "Teckenbredd",

DlgTextMaxChars		: "Max antal tecken",

DlgTextType			: "Typ",

DlgTextTypeText		: "Text",

DlgTextTypePass		: "Lösenord",



// Hidden Field Dialog

DlgHiddenName	: "Namn",

DlgHiddenValue	: "Värde",



// Bulleted List Dialog

BulletedListProp	: "Egenskaper för punktlista",

NumberedListProp	: "Egenskaper för numrerad lista",

DlgLstStart			: "Start",

DlgLstType			: "Typ",

DlgLstTypeCircle	: "Cirkel",

DlgLstTypeDisc		: "Punkt",

DlgLstTypeSquare	: "Ruta",

DlgLstTypeNumbers	: "Nummer (1, 2, 3)",

DlgLstTypeLCase		: "Gemener (a, b, c)",

DlgLstTypeUCase		: "Versaler (A, B, C)",

DlgLstTypeSRoman	: "Små romerska siffror (i, ii, iii)",

DlgLstTypeLRoman	: "Stora romerska siffror (I, II, III)",



// Document Properties Dialog

DlgDocGeneralTab	: "Allmän",

DlgDocBackTab		: "Bakgrund",

DlgDocColorsTab		: "Färg och marginal",

DlgDocMetaTab		: "Metadata",



DlgDocPageTitle		: "Sidtitel",

DlgDocLangDir		: "Språkriktning",

DlgDocLangDirLTR	: "Vänster till Höger",

DlgDocLangDirRTL	: "Höger till Vänster",

DlgDocLangCode		: "Språkkod",

DlgDocCharSet		: "Teckenuppsättningar",

DlgDocCharSetCE		: "Central Europa",

DlgDocCharSetCT		: "Traditionell Kinesisk (Big5)",

DlgDocCharSetCR		: "Kyrillisk",

DlgDocCharSetGR		: "Grekiska",

DlgDocCharSetJP		: "Japanska",

DlgDocCharSetKR		: "Koreanska",

DlgDocCharSetTR		: "Turkiska",

DlgDocCharSetUN		: "Unicode (UTF-8)",

DlgDocCharSetWE		: "Väst Europa",

DlgDocCharSetOther	: "Övriga teckenuppsättningar",



DlgDocDocType		: "Sidhuvud",

DlgDocDocTypeOther	: "Övriga sidhuvuden",

DlgDocIncXHTML		: "Inkludera XHTML deklaration",

DlgDocBgColor		: "Bakgrundsfärg",

DlgDocBgImage		: "Bakgrundsbildens URL",

DlgDocBgNoScroll	: "Fast bakgrund",

DlgDocCText			: "Text",

DlgDocCLink			: "Länk",

DlgDocCVisited		: "Besökt länk",

DlgDocCActive		: "Aktiv länk",

DlgDocMargins		: "Sidmarginal",

DlgDocMaTop			: "Topp",

DlgDocMaLeft		: "Vänster",

DlgDocMaRight		: "Höger",

DlgDocMaBottom		: "Botten",

DlgDocMeIndex		: "Sidans nyckelord",

DlgDocMeDescr		: "Sidans beskrivning",

DlgDocMeAuthor		: "Författare",

DlgDocMeCopy		: "Upphovsrätt",

DlgDocPreview		: "Förhandsgranska",



// Templates Dialog

Templates			: "Sidmallar",

DlgTemplatesTitle	: "Sidmallar",

DlgTemplatesSelMsg	: "Var god välj en mall att använda med editorn<br>(allt nuvarande innehåll raderas):",

DlgTemplatesLoading	: "Laddar mallar. Var god vänta...",

DlgTemplatesNoTpl	: "(Ingen mall är vald)",

DlgTemplatesReplace	: "Ersätt aktuellt innehåll",



// About Dialog

DlgAboutAboutTab	: "Om",

DlgAboutBrowserInfoTab	: "Webläsare",

DlgAboutLicenseTab	: "Licens",

DlgAboutVersion		: "Version",

DlgAboutInfo		: "För mer information se",



// Div Dialog

DlgDivGeneralTab	: "Allmänt",

DlgDivAdvancedTab	: "Avancerat",

DlgDivStyle		: "Stil",

DlgDivInlineStyle	: "Inbäddad stil",



ScaytTitle			: "SCAYT",

ScaytTitleOptions	: "Alternativ",

ScaytTitleLangs		: "Språk",

ScaytTitleAbout		: "Om"

};

