<?php

/** ensure this file is being included by a parent file */

defined( '_VALID_' ) or die( 'Direct Access to this location is not allowed.' );



//ส่วนการสร้างตารางระบบย่อย

$sql_create="CREATE TABLE `building_category` (

  `id` int(11) NOT NULL auto_increment,

  `cate_code` varchar(2) NOT NULL,

  `cate_name` varchar(100) NOT NULL,

  `cate_order` int(11) default NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date default NULL,

  PRIMARY KEY  (`id`),

  UNIQUE KEY `cate_code` (`cate_code`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE `building_file` (

  `id` int(11) NOT NULL auto_increment,

  `building_id` int(11) NOT NULL,

  `file_name` varchar(50) NOT NULL,

  `rec_date` date NOT NULL,

  PRIMARY KEY  (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE IF NOT EXISTS `building_main` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `school_code` varchar(10) NOT NULL,

  `model_code` varchar(6) NOT NULL,

  `get_year` varchar(4) DEFAULT NULL,

  `build_date` date DEFAULT NULL,

  `room` int(11) DEFAULT '0',

  `other` varchar(150) DEFAULT NULL,

  `status` tinyint(4) NOT NULL DEFAULT '0',

  `officer` varchar(13) DEFAULT NULL,

  `rec_date` date DEFAULT NULL,

  PRIMARY KEY (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE `building_model` (

  `id` int(11) NOT NULL auto_increment,

  `model_code` varchar(6) NOT NULL,

  `type_code` varchar(4) NOT NULL,

  `model_name` varchar(100) NOT NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date default NULL,

  PRIMARY KEY  (`id`),

  UNIQUE KEY `model_code` (`model_code`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE IF NOT EXISTS `building_permission` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `person_id` varchar(13) NOT NULL,

  `p1` tinyint(4) NOT NULL DEFAULT '0',

  `p2` tinyint(4) NOT NULL DEFAULT '0',

  `p3` tinyint(4) NOT NULL DEFAULT '0',

  `p4` tinyint(4) NOT NULL DEFAULT '0',

  `p5` tinyint(4) NOT NULL DEFAULT '0',

  `officer` varchar(13) NOT NULL,

  `rec_date` date NOT NULL,

  PRIMARY KEY (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE `building_type` (

  `id` int(11) NOT NULL auto_increment,

  `type_code` varchar(4) NOT NULL,

  `cate_code` varchar(2) NOT NULL,

  `type_name` varchar(100) NOT NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date default NULL,

  PRIMARY KEY  (`id`),

  UNIQUE KEY `type_code` (`type_code`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE `building_building` (

  `id` int(11) NOT NULL auto_increment,

  `school_code` varchar(10) NOT NULL,

  `get_year` varchar(4) NOT NULL,

  `budget` double NOT NULL,

  `item` varchar(250) NOT NULL,

  `other` varchar(250) default NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date NOT NULL,

  PRIMARY KEY  (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE IF NOT EXISTS `building_fix` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `school_code` varchar(10) NOT NULL,

  `get_year` varchar(4) NOT NULL,

  `budget` double NOT NULL,

  `other` varchar(250) DEFAULT NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date NOT NULL,

  PRIMARY KEY (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="CREATE TABLE IF NOT EXISTS `building_heavy` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `school_code` varchar(10) NOT NULL,

  `get_year` varchar(4) NOT NULL,

  `budget` double NOT NULL,

  `other` varchar(250) DEFAULT NULL,

  `officer` varchar(13) NOT NULL,

  `rec_date` date NOT NULL,

  PRIMARY KEY (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8" ;

$query = mysqli_query($connect,$sql_create);



$sql_create="INSERT INTO `building_type` (`id`, `type_code`, `cate_code`, `type_name`, `officer`, `rec_date`) VALUES

(3, '0201', '02', 'อาคารเอนกประสงค์', '3349900963107', '2017-12-19'),

(4, '0202', '02', 'โรงอาหาร', '3349900963107', '2017-12-19'),

(5, '0101', '01', 'อาคารเรียน', '3349900963107', '2017-12-19'),

(6, '0203', '02', 'โรงฝึกงาน', '3349900963107', '2017-12-19'),

(7, '0204', '02', 'อาคารห้องสมุด', '3349900963107', '2017-12-19'),

(8, '0205', '02', 'ส้วม', '3349900963107', '2017-12-19'),

(9, '0206', '02', 'บ้านพักครู', '3349900963107', '2017-12-20'),

(10, '0207', '02', 'บ้านพักภารโรง', '3349900963107', '2017-12-20'),

(11, '0301', '03', 'สนามบาสเกตบอล', '3349900963107', '2017-12-20'),

(13, '0302', '03', 'ลานกีฬาเอนกประสงค์', '3349900963107', '2017-12-20'),

(14, '0303', '03', 'สนามฟุตบอล', '3349900963107', '2017-12-20'),

(15, '0401', '04', 'หอถังประปา', '3349900963107', '2017-12-20'),

(16, '0304', '03', 'สนามกีฬาเอนกประสงค์', '3349900963107', '2018-01-11'),

(17, '0501', '05', 'ถนน คสล.', '3349900963107', '2018-11-12'),

(18, '0502', '05', 'รั้ว', '3349900963107', '2018-11-12')" ;

$query = mysqli_query($connect,$sql_create);



//การอ่านการเขียน

$sql_create="CREATE TABLE IF NOT EXISTS `achievement_read` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `school_code` varchar(10) NOT NULL,

  `ed_year` varchar(4) NOT NULL,

  `term` tinyint(4) NOT NULL DEFAULT '1',

  `class_code` varchar(2) NOT NULL,

  `read_A_4` int(11) NOT NULL DEFAULT '0',

  `read_A_3` int(11) NOT NULL DEFAULT '0',

  `read_A_2` int(11) NOT NULL DEFAULT '0',

  `read_A_1` int(11) NOT NULL DEFAULT '0',

  `read_B_4` int(11) NOT NULL DEFAULT '0',

  `read_B_3` int(11) NOT NULL DEFAULT '0',

  `read_B_2` int(11) NOT NULL DEFAULT '0',

  `read_B_1` int(11) NOT NULL DEFAULT '0',

  `write_A_4` int(11) NOT NULL DEFAULT '0',

  `write_A_3` int(11) NOT NULL DEFAULT '0',

  `write_A_2` int(11) NOT NULL DEFAULT '0',

  `write_A_1` int(11) NOT NULL DEFAULT '0',

  `write_B_4` int(11) NOT NULL DEFAULT '0',

  `write_B_3` int(11) NOT NULL DEFAULT '0',

  `write_B_2` int(11) NOT NULL DEFAULT '0',

  `write_B_1` int(11) NOT NULL DEFAULT '0',

  `rec_date` date NOT NULL,

  PRIMARY KEY (`id`)

) ENGINE=MyISAM DEFAULT CHARSET=utf8" ;

$query = mysqli_query($connect,$sql_create);





?>