<?php
/** ensure this file is being included by a parent file */
defined( '_VALID_' ) or die( 'Direct Access to this location is not allowed.' );

//ส่วนการสร้างตารางระบบย่อย
$sql_create="CREATE TABLE `supervision_comment` (
  `id` int(11) NOT NULL auto_increment,
  `ref_id` varchar(50) NOT NULL,
  `person_id` varchar(13) default NULL,
  `subject_code` varchar(8) default NULL,
  `comment` text,
  `rec_date` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_file` (
  `id` int(11) NOT NULL auto_increment,
  `ref_id` varchar(50) NOT NULL,
  `subject_code` varchar(8) default NULL,
  `file_name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1";
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_indicator` (
  `id` int(11) NOT NULL auto_increment,
  `indicator_code` varchar(10) NOT NULL,
  `subject_code` varchar(8) NOT NULL,
  `indicator_name` varchar(150) NOT NULL,
  `weight` float NOT NULL default '1',
  `type` tinyint(4) NOT NULL default '1',
  `unit` varchar(50) default NULL,
  `min` int(11) NOT NULL default '0',
  `max` int(11) NOT NULL default '0',
  `g1` float NOT NULL default '0',
  `g2` float NOT NULL default '0',
  `g3` float NOT NULL default '0',
  `g4` float NOT NULL default '0',
  `g5` float NOT NULL default '0',
  `function_number` tinyint(4) NOT NULL default '1',
  `indicator_explain` text,
  `officer` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `indicator_code` (`indicator_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);


$sql_create="CREATE TABLE `supervision_item` (
  `id` int(11) NOT NULL auto_increment,
  `item` varchar(50) NOT NULL,
  `item_active` tinyint(4) NOT NULL default '0',
  `rec_date` date default NULL,
  `officer` varchar(13) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_main` (
  `id` int(11) NOT NULL auto_increment,
  `standard_year` varchar(4) default NULL,
  `level` tinyint(4) NOT NULL default '0',
  `person_id` varchar(13) NOT NULL,
  `school_id` varchar(12) NOT NULL,
  `ref_id` varchar(50) NOT NULL,
  `item` int(11) NOT NULL default '0',
  `assessor` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  `status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ref_id` (`ref_id`),
  KEY `school_id` (`school_id`),
  KEY `level` (`level`),
  KEY `person_id` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_main_2` (
  `id` int(11) NOT NULL auto_increment,
  `ref_id` varchar(50) NOT NULL,
  `person_id` varchar(13) NOT NULL,
  `indicator_code` varchar(10) NOT NULL,
  `act` tinyint(4) NOT NULL default '0',
  `quanlity` float NOT NULL default '-1',
  `quality` float NOT NULL default '0',
  `rec_date` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_permission` (
  `id` int(11) NOT NULL auto_increment,
  `person_id` varchar(13) NOT NULL,
  `p1` tinyint(4) default NULL,
  `p2` tinyint(4) default NULL,
  `p3` tinyint(4) default NULL,
  `school_code` varchar(15) default NULL,
  `officer` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `person_id` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_standard` (
  `id` int(11) NOT NULL auto_increment,
  `year` varchar(4) NOT NULL,
  `standard_code` varchar(6) NOT NULL,
  `standard_name` varchar(150) NOT NULL,
  `type` tinyint(4) NOT NULL default '0',
  `officer` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `standard_code` (`standard_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_subject` (
  `id` int(11) NOT NULL auto_increment,
  `subject_code` varchar(8) NOT NULL,
  `standard_code` varchar(6) NOT NULL,
  `subject_name` varchar(150) NOT NULL,
  `officer` varchar(13) NOT NULL,
  `rec_date` date NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `subject_code` (`subject_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);

$sql_create="CREATE TABLE `supervision_year` (
  `id` int(11) NOT NULL auto_increment,
  `year` int(11) NOT NULL,
  `year_active` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `budget_year` (`year`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1" ;
$query = mysqli_query($connect,$sql_create);
?>